> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_corporateactions_distributions.distributions.md).

# api\_entities\_Asset\_CorporateActions\_Distributions.Distributions

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/entities/Asset/CorporateActions/Distributions](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_corporateactions_distributions.md) / Distributions

## Class: Distributions

[api/entities/Asset/CorporateActions/Distributions](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_corporateactions_distributions.md).Distributions

Handles all Asset Distributions related functionality

### Hierarchy

* `Namespace`<[`Asset`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset.asset.md)>

  ↳ **`Distributions`**

### Table of contents

#### Methods

* [configureDividendDistribution](#configuredividenddistribution)
* [get](#get)
* [getOne](#getone)

### Methods

#### configureDividendDistribution

▸ **configureDividendDistribution**(`args`, `opts?`): `Promise`<`TransactionQueue`<[`DividendDistribution`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_dividenddistribution.dividenddistribution.md), [`DividendDistribution`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_dividenddistribution.dividenddistribution.md), `unknown`\[]\[]>>

Create a Dividend Distribution for a subset of the Asset Holders at a certain (existing or future) Checkpoint

**`note`** required role:

* Origin Portfolio Custodian

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.proceduremethod.md), which means you can call [configureDividendDistribution.checkAuthorization](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.proceduremethod.md#checkauthorization) on it to see whether the signing Account and Identity have the required roles and permissions to run it

**Parameters**

| Name    | Type                                                                                                                                                                           |
| ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `args`  | [`ConfigureDividendDistributionParams`](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_configuredividenddistribution.configuredividenddistributionparams.md) |
| `opts?` | [`ProcedureOpts`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.procedureopts.md)                                                                                    |

**Returns**

`Promise`<`TransactionQueue`<[`DividendDistribution`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_dividenddistribution.dividenddistribution.md), [`DividendDistribution`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_dividenddistribution.dividenddistribution.md), `unknown`\[]\[]>>

**Defined in**

[api/entities/Asset/CorporateActions/Distributions.ts:39](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/CorporateActions/Distributions.ts#L39)

***

#### get

▸ **get**(): `Promise`<[`DistributionWithDetails`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.distributionwithdetails.md)\[]>

Retrieve all Dividend Distributions associated to this Asset, along with their details

**Returns**

`Promise`<[`DistributionWithDetails`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.distributionwithdetails.md)\[]>

**Defined in**

[api/entities/Asset/CorporateActions/Distributions.ts:114](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/CorporateActions/Distributions.ts#L114)

***

#### getOne

▸ **getOne**(`args`): `Promise`<[`DistributionWithDetails`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.distributionwithdetails.md)>

Retrieve a single Dividend Distribution associated to this Asset by its ID

**`throws`** if there is no Distribution with the passed ID

**Parameters**

| Name      | Type        |
| --------- | ----------- |
| `args`    | `Object`    |
| `args.id` | `BigNumber` |

**Returns**

`Promise`<[`DistributionWithDetails`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.distributionwithdetails.md)>

**Defined in**

[api/entities/Asset/CorporateActions/Distributions.ts:62](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/CorporateActions/Distributions.ts#L62)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_corporateactions_distributions.distributions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
